Create library playbook

View as Markdown

Creates a new draft library-scope playbook.

Authentication

AuthorizationBearer

WorkOS session JWT or an organization API key, sent as Authorization: Bearer <token>.

Request

This endpoint expects an object.
slugstringRequiredformat: "^[a-z][a-zA-Z0-9]*$"1-64 characters
namestringRequired1-200 characters
iconstringRequired1-64 characters
numberingobjectRequired
descriptionstringOptional<=5000 charactersDefaults to
colorstring or nullOptional
startableByUsersbooleanOptionalDefaults to true
orchestratorobjectOptionalDefaults to {"enabled":true,"model":{"provider":"anthropic","model":"claude-sonnet-4-6"},"autoTriggerActions":true,"autoTriggerAgentic":true,"autoTriggerDocumentTasks":true,"chatEnabled":true}
startFormobject or nullOptional
taskslist of objectsOptionalDefaults to []
dependencieslist of objectsOptionalDefaults to []

Response

The created playbook.
playbookobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error